<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div (cdkDropListDropped)="drop($event)"
     cdkDropList
     class="select openk-drag-list-with-hidden-placeholder">

  <app-text-block-list
    (appAdd)="appAdd.emit($event?.textBlock)"
    [appConnectedTo]="appConnectedTo"
    [appDuplicateOnDrag]="true"
    [appDisabled]="appDisabled"
    [appListData]="standardBlocks"
    [appWithoutTitlePrefix]="true">
  </app-text-block-list>

  <app-collapsible
    *ngFor="let group of appGroups"
    [appSimpleCollapsible]="true"
    [appTitle]="group?.groupName"
    [appDisabled]="appDisabled"
    [class.disable]="appDisabled"
    class="text-block-group">

    <app-text-block-list
      (appAdd)="appAdd.emit($event?.textBlock)"
      [appConnectedTo]="appConnectedTo"
      [appDuplicateOnDrag]="true"
      [appListData]="group?.textBlocks.slice()"
      [appHiddenIds]="appSelectedIds"
      [appDisabled]="appDisabled"
      [appReplacements]="appReplacements"
      [appShortMode]="appShortMode">
    </app-text-block-list>

  </app-collapsible>

</div>



